/*** RESET ***/
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

img {
  width: 100%;
  height: auto;
}

ul {
  list-style: none;
}

a {
  text-decoration: none;
}

/*** VARIABLES ***/
:root {
  --header-height: 4.5rem;
  /** COLLORS**/
  --hue: 232;
  --base-color: hsl(232.73,50.77%,12.75%);
  --base-color-second: hsl(232.73,50.77%,12.75%);
  --base-color-alt: hsl(var(--hue) 57% 53%);
  --title-color: hsl(var(--hue) 41% 10%);
  --text-color: hsl(0 0% 46%);
  --text-color-light: hsl(0 0% 98%);
  --body-color: hsl(0 0% 98%);

  /** Fonts **/
  --title-font-size: 1.87rem;

  --body-fonts: 'Poppins', sans-serif;
  --title-fonts: 'Poppins', sans-serif;
}

/*** BASE ***/
html {
  scroll-behavior: smooth; 
}

body {
  font: 400 1rem var(--body-fonts);
  color: var(--text-color);
  background: var(--body-color);
  -webkit-font-smoothing: antialiased;
}

body, html {
  margin: 0;
  padding: 0;
}

.title-nav {
  font: 14px var(--title-fonts);
  color: white;
  -webkit-font-smoothing: auto;
}

.flag-country{
  height: auto;
  width: 20%;
}

.section .title {
  margin-bottom: 1rem;
}

.button {
  display: inline-flex;
  color: var(--text-color-light);
  background-color: var(--base-color);
  height: 4.5rem;
  padding: 2rem;
  align-items: center;
  border-radius: 0.25rem;
  font: 500 1rem var(--body-fonts);
  transition: background 0.3s;
}

.button:hover {
  background-color: white;
  color: black;
  border-style: groove;
}

/*** LAYOUT ***/

.container {
  margin-left: 1.5rem;
  margin-right: 1.5rem;
}

.grid {
  display: grid;
  gap: 5rem;
}

.section {
  padding: calc(5rem + var(--header-height)) 0;
}

.section header {
  margin-bottom: 4rem;
}

#header {
  border-bottom: 1px solid #e4e4e4;
  border-radius: 10px;
  display: flex;
  width: 100%;
  position: fixed;
  z-index: 100;
  background-color: hsl(232.73,50.77%,12.75%);
  top: 0;
  left: 0;
}

#header.scroll {
  box-shadow: 0px 0px 12px rgba(0, 0, 0, 0.25);
}

main {
  margin-top: calc(var(--header-height) + 2rem);
}


.divider-1 {
  height: 1px;
  background: linear-gradient(
    270deg,
    hsl(var(--hue), 36%, 57%),
    hsla(var(--hue), 65%, 88%, 0.341)
  );
}

.divider-2 {
  height: 1px;
  background: linear-gradient(
    270deg,
    hsla(var(--hue), 65%, 88%, 0.341),
    hsl(var(--hue), 36%, 57%)
  );
}

/*** LOGO ***/
.logo {
  display: flex;
  align-items: center;
}

.logo img {
  height: 80px; 
  margin-right: 10px; 
}

.logo span {
  font-size: 20px; 
  color: white;
}

/*** NAVIGATION ***/
nav {
  display: flex;
  height: var(--header-height);
  align-items: center;
  justify-content: space-between;
  width: 100%;
}

nav ul li {
  text-align: center;
}

nav ul li a {
  transition: color 0.2s;
  position: relative;
}
nav ul li a:hover,
nav ul li a.active {
  color: hsl(205.44deg 100% 50%);
  -webkit-font-smoothing: auto;
}
nav ul li a::after,
nav ul li a.active::after {
  content: '';
  width: 0%;
  height: 2px;
  background: var(--base-color);
  position: absolute;
  left: 0;
  bottom: -1.5rem;
  transition: width 0.2s;
}

nav ul li a:hover::after,
nav ul li a.active::after {
  width: 100%;
}
nav .menu {
  opacity: 0;
  top: -20rem;
  visibility: hidden;
  transition: 0.25s;
}

nav .menu ul {
  display: none;
}

/** SHOW **/
nav.show .menu {
  opacity: 1;
  visibility: visible;
  background: hsl(232.73,50.77%,12.75%);
  height: 100vh;
  width: 100vw;
  position: fixed;
  left: 0;
  top: 0;
  display: grid;
  place-content: center;
}
nav.show ul.grid {
  gap: 4rem;
}
nav.show .menu ul {
  display: grid;
}

/** toggle menu**/
nav .icon-close {
  visibility: hidden;
  opacity: 0;
  position: absolute;
  right: 1.5rem;
  transition: 0.2s;
  top: -1.5rem;
}

nav.show i.icon-close {
  visibility: visible;
  opacity: 1;
  top: 1.5rem;
}

.toggle {
  color: white;
  font-size: 1.5rem;
  cursor: pointer;
}

/** Tradutor **/

.language-switch ul {
  list-style-type: none; 
  padding: 0;
}

.language-switch li {
  display: inline-block;
  margin-right: 10px; 
}

.flag-icon {
  width: 30px; 
  height: auto; 
  vertical-align: middle; 
  margin-right: 5px; 
}

/*** Banner Página ***/

.inicio{
  padding: 100px 0;
  background-color: hsl(232.73,50.77%,12.75%);
  transition: margin-top 0.5s ease;
}

.inicio img {
  display: block;
  margin: 0 20px;
  margin-top: 5rem;
  width: 100%; 
  height: 400px;
}

.title-inicio {
    text-align: center;
    margin-bottom: 20px;
    color: white; 
    opacity: 0; 
    animation: fadeIn 2s ease forwards; 
    font-size: 40px;
}

@keyframes fadeIn {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}

/*** HOME ***/

#home {
  overflow: hidden;
}

#home .container {
  margin: 0 auto;
}

#home .text {
  margin-left: 1.5rem;
  margin-right: 1.5rem;
  text-align: center;
  text-align: left;
}
#home .text h1 {
  margin-bottom: 1rem;
}

#home .text p {
  margin-bottom: 2rem;
}

.title-home {
  font: 700 var(--title-font-size) var(--title-fonts);
  color: var(--title-color);
  -webkit-font-smoothing: auto;
  margin-bottom: 20px;
}

/**  ABOUT **/

#about .container {
  margin: 0;
}

#about .text {
  margin-left: 1.5rem;
  margin-right: 1.5rem;
  text-align: justify;
}
#about .text h1 {
  margin-bottom: 1rem;
}

#about .text p {
  margin-bottom: 1rem;
}

.title-about {
  font: 700 var(--title-font-size) var(--title-fonts);
  color: var(--title-color);
  -webkit-font-smoothing: auto;
  margin-bottom: 20px;
  text-align: initial;
}

/**  Areas de Atuação **/

#services .text p {
  font: 700 1rem 'Poppins', sans-serif;
  color: hsl(0 0% 46%);
}

#services .text p strong {
  color: var(--base-color);
}

#services .cards {
  text-align: center;
}

#services .card {
  padding: 3.625rem 2rem;
  box-shadow: 0px 0px 12px #00000014;
  border-bottom: 0.25rem solid var(--base-color);
  border-radius: 0.25rem 0.25rem 0 0;
}

#services .card p {
  font-size: 1.0rem;
}

#services i {
  display: block;
  margin-bottom: 1.5rem;
  font-size: 5rem;
  color: var(--base-color);
}

.cards .grid {
  gap: 1.5rem;
}

.title-services1 {
  font: 700 var(--title-font-size) var(--title-fonts);
  color: var(--title-color);
  -webkit-font-smoothing: auto;
  margin-bottom: 20px;
  text-align: center;
}

.title-services2 {
  font: 700 var(--title-font-size) var(--title-fonts);
  color: var(--title-color);
  -webkit-font-smoothing: auto;
  margin-bottom: 20px;
}

.title-services3 {
  font: 700 var(--title-font-size) var(--title-fonts);
  color: var(--title-color);
  -webkit-font-smoothing: auto;
  margin-bottom: 20px;
}

/** Areas de Atuação - Etapa de Produção card **/

#services .cards {
  text-align: center;
}

#services .card-ep {
  padding: 3.625rem 2rem;
  box-shadow: 0px 0px 12px #00000014;
  border-bottom: 0.25rem solid var(--base-color);
  border-radius: 0.25rem 0.25rem 0 0;
}

#services .card-ep p {
  font-size: 1.0rem;
}

#services i {
  display: block;
  margin-bottom: 1.5rem;
  font-size: 5rem;
  color: var(--base-color);
}

#services .card-ep {
  text-align: center;
}

/** CONTACT **/
#contact .grid {
  gap: 4rem;
}

#contact p {
  margin-bottom: 2rem;
}

#contact .button i {
  font-size: 1.5rem;
  margin-right: 0.625rem;
}

#contact a {
  margin-top: 1rem;
  display: flex;
  width: 14.75rem;
}

#contact .links i {
  font-size: 1.5rem;
  color: var(--base-color);
  margin-right: 0.75rem;
}

#contact ul.grid {
  gap: 2rem;
}

#contact ul li {
  display: flex;
  align-items: center;
}

.title-contact {
  font: 700 var(--title-font-size) var(--title-fonts);
  color: var(--title-color);
  -webkit-font-smoothing: auto;
  margin-bottom: 20px;
}

/** FOOTER **/

footer {
  background: var(--base-color);
  width: 100%;
}

footer.section {
  padding: 5rem 0;
}

footer .logo span {
  color: var(--body-color);
}

footer .logo {
  margin-bottom: 1.5rem;
}

footer .logo img {
  width: 80px;
  height: 80px;
  margin-right: 10px;
}

footer .brand {
  display: flex; 
  align-items: center; 
  justify-content: center; 
  margin-right: 30px;
}

footer .brand img {
  width: 100px; 
}

footer .brand span {
  color: white; 
  margin-left: 10px; 
}

footer .brand p {
  color: var(--text-color-light);
  margin-bottom: 0.75rem;
}

footer i {
  font-size: 1.5rem;
  color: var(--text-color-light);
}

footer .social {
  grid-auto-flow: column;
  width: 100%;
  margin: 0 auto; 
}

footer .social a {
  display: inline-block;
  transition: 0.3s;
}

footer .social a:hover {
  transform: translateY(-8px);
}

.direitos {
  font-size: small;
  text-align: center;
  color: white;
}


/** BOTÃO BACK TOP **/

.back-to-top {
  background: var(--base-color);
  color: var(--text-color-light);

  position: fixed;
  right: 1rem;
  bottom: 1rem;

  padding: 0.5rem;
  clip-path: circle();

  font-size: 1.5rem;
  line-height: 0;

  visibility: hidden;
  opacity: 0;

  transition: 0.3s;
  transform: translateY(100%);
}

.back-to-top.show {
  visibility: visible;
  opacity: 1;
  transform: translateY(0);
}

/** Responsivo **/

/** 1200+ **/
@media (min-width: 1200px) {
  .container {
    max-width: 1120px;
    margin-left: auto;
    margin-right: auto;
  }

  .section {
    padding: 10rem 0;
  }

  .button {
    height: 3.125rem;
  }

  nav .menu {
    opacity: 1;
    visibility: visible;
    top: 0;
  }

  nav .menu ul {
    display: flex;
    gap: 2.5rem;
    align-items: center;
    margin-left: 40px;
  }

  nav .menu ul li a.title {
    font: 400 1rem var(--body-fonts);
    -webkit-font-smoothing: antialiased;
  }

  nav .menu ul li a.title.active {
    font-weight: bold;
    -webkit-font-smoothing: auto;
  }

  nav .icon-menu {
    display: none;
  }
  /** HOME **/

  #home .container {
    grid-auto-flow: column;
    width: fit-content;
    justify-content: space-between;
  }

  #home .image {
    order: 1;
  }
  #home .text {
    order: 0;
  }

  #about .container {
    margin: 0 auto;
    grid-auto-flow: column;
  }

  .cards {
    grid-template-columns: 1fr;
  }

  .card {
    padding-left: 3rem;
    padding-right: 3rem;
  }

  .cards-ep {
    grid-template-columns: 1fr;
  }

  .card-ep {
    padding-left: 3rem;
    padding-right: 3rem;
  }

  #contact .container {
    grid-auto-flow: column;
    align-items: center;
  }
  #contact .text {
    max-width: 25rem;
  }

  footer.section {
    padding: 3.75rem 0;
  }

  footer .container {
    grid-auto-flow: column;
    align-items: center;
    justify-content: space-between;
  }

  footer .logo {
    font-size: 2.25rem;
  }

  main {
    margin-top: var(--header-height);
  }
}

/** Mobile **/

@media screen and (max-width: 768px) {

  .inicio {
    padding: 140px 0; 
    width: 100%;
    box-sizing: border-box;
  }

  .inicio img {
    width: 100%; 
    margin: 2rem auto; 
    height: auto;
  }

  .title-inicio {
    margin-bottom: 10px; 
    font-size: 1.90em; 
  }

  footer .social { 
    justify-content: center;
    gap: 40px; 
  }

}

@media (max-width: 768px) {
  .language-switch li {
      display: block; 
      margin-bottom: 5px; 
  }

  .language-button {
      display: block;
      margin-bottom: 5px; 
  }
}


